- libbson 1.13.1 »
- API Reference »
- bson_oid_t

# bson_oid_equal()

## Synopsis

    bool
    bson_oid_equal (const bson_oid_t *oid1, const bson_oid_t *oid2);

## Parameters

- `oid1`: A bson_oid_t.
- `oid2`: A bson_oid_t.

## Description

Checks if two bson_oid_t contain the same bytes.

## Returns

true if they are equal, otherwise false.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.